# QuoteChange

| Name                         | Type                                                                              | Description                                               |
| ---------------------------- | --------------------------------------------------------------------------------- | --------------------------------------------------------- |
| account                      | [Account](/developer/api-reference/types/account.md)                              |                                                           |
| accountId                    | ID                                                                                |                                                           |
| addonQuoteChanges            | List ([QuoteChange](/developer/api-reference/types/quotechange.md))               | Addon quote changes for the quote change                  |
| charges                      | List ([QuoteCharge](/developer/api-reference/types/quotecharge.md))               |                                                           |
| currencyId                   | ID                                                                                |                                                           |
| currentSubscriptionCharges   | List ([SubscriptionCharge](/developer/api-reference/types/subscriptioncharge.md)) | Subscription charges for the configured date              |
| endDate                      | ISO8601Date                                                                       |                                                           |
| evergreen                    | Boolean                                                                           |                                                           |
| id                           | ID                                                                                |                                                           |
| intervalMonthsOptions        | List (Int)                                                                        | The available interval months options for ramp up changes |
| isTrial                      | Boolean                                                                           |                                                           |
| kind                         | [QuoteChangeKind](/developer/api-reference/enums.md#quotechangekind)              |                                                           |
| name                         | String                                                                            |                                                           |
| priceAdjustmentAction        | [PriceAdjustmentAction](/developer/api-reference/enums.md#priceadjustmentaction)  |                                                           |
| priceAdjustmentActionOptions | List (String)                                                                     |                                                           |
| priceAdjustmentAllowed       | Boolean                                                                           |                                                           |
| priceAdjustmentLastDate      | ISO8601Date                                                                       |                                                           |
| priceAdjustmentPercentage    | Float                                                                             |                                                           |
| priceAdjustmentTiming        | [PriceAdjustmentTiming](/developer/api-reference/enums.md#priceadjustmenttiming)  |                                                           |
| priceAdjustmentTimingOptions | List (String)                                                                     |                                                           |
| priceList                    | [PriceList](/developer/api-reference/types/pricelist.md)                          |                                                           |
| priceListId                  | ID                                                                                |                                                           |
| quote                        | [Quote](/developer/api-reference/types/quote.md)                                  |                                                           |
| quoteId                      | ID                                                                                |                                                           |
| quotePlan                    | [QuotePlan](/developer/api-reference/types/quoteplan.md)                          |                                                           |
| quotePlanId                  | ID                                                                                |                                                           |
| rampIntervalMonths           | Int                                                                               | The selected interval months for ramp up changes          |
| renewalSummary               | String                                                                            | Description of the renwal settings                        |
| renewalTermMonths            | Int                                                                               | Number of months for the renewal term                     |
| renewalTermMonthsOptions     | List ([RenewalTermOption](/developer/api-reference/types/renewaltermoption.md))   |                                                           |
| startDate                    | ISO8601Date                                                                       |                                                           |
| subscription                 | [Subscription](/developer/api-reference/types/subscription.md)                    |                                                           |
| subscriptionId               | ID                                                                                |                                                           |
| tenant                       | [Tenant](/developer/api-reference/types/tenant.md)                                |                                                           |
| tenantId                     | ID                                                                                |                                                           |
| trialEndDate                 | ISO8601Date                                                                       |                                                           |
| trialStartDate               | ISO8601Date                                                                       |                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/quotechange.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
